Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class ExceptionElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.ExceptionElement

All Implemented Interfaces:
  XDSElement

public class ExceptionElement
extends ElementImpl

An `<exception>` element.

This element is a non-XDS element that can be appended to a `<status>` element to facilitate DirXML driver debugging.

Constructor Summary
`ExceptionElement(DocumentImpl myDocument, Element myParentElement)` Creates a new ExceptionElement object.

Method Summary
`void` | `messageAppend(Throwable t)` Appends a throwable object's message to this element.
`void` | `stackTraceAppend(Throwable t)` Appends a throwable object's stack trace to this element.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionElement

    public ExceptionElement(DocumentImpl myDocument,
                            Element myParentElement)

  Creates a new ExceptionElement object.

Parameters:
  `myDocument` - the owner document
  `myParentElement` - the parent element

Method Detail

### messageAppend

    public void messageAppend(Throwable t)

  Appends a throwable object's message to this element.

  Parameters:
    `t` - may be `null`

### stackTraceAppend

    public void stackTraceAppend(Throwable t)

  Appends a throwable object's stack trace to this element.

  Parameters:
    `t` - may be `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD